// Copyright (c) 2021 ICP DAS Co., Ltd. All rights reserved.
var xmldoc;
var xmlhttp = false;

function GetObj(objName){
 return document.getElementById(objName);
}
function EnableObj(obj){
 obj.removeAttribute("disabled");
}
function DisableObj(obj){
 obj.setAttribute("disabled", "disabled");
}
function GDat(MyTag){
 return xmldoc.getElementsByTagName(MyTag)[0].firstChild.nodeValue;
} 
function GDatEn(MyTag){
 if ( xmldoc.getElementsByTagName(MyTag)[0].firstChild.nodeValue != "0" ) return "Enable";
 else return "Disable";
} 
function SVal(MyTag){
 document.getElementById(MyTag).value = xmldoc.getElementsByTagName(MyTag)[0].firstChild.nodeValue;
}
function SVal2(MyTag, MyStr){
 document.getElementById(MyTag).value = MyStr;
}
function STxt(MyTag){
 document.getElementById(MyTag).innerHTML = xmldoc.getElementsByTagName(MyTag)[0].firstChild.nodeValue;
}
function STxt2(MyTag, MyStr){
 document.getElementById(MyTag).innerHTML = MyStr;
}
function cnvNumObj(objName){
  return Number(GetObj(objName).value);
}
function cnvNumFt(Val,base,fixed){
  return Number(Val/base).toFixed(fixed);
}

var XMLHttpFactories = [
 function () {return new XMLHttpRequest()},
 function () {return new ActiveXObject("Msxml2.XMLHTTP")},
 function () {return new ActiveXObject("Msxml3.XMLHTTP")},
 function () {return new ActiveXObject("Microsoft.XMLHTTP")}
];
function createXMLHTTPObject() {
 var xh = false;
 for (var i=0;i<XMLHttpFactories.length;i++) {
   try {	xh = XMLHttpFactories[i](); }
	catch (e) {	continue; }
	break;
 }
 return xh;
}
function httpGet(sUrl, fCallback)
{
 var xHttp = createXMLHTTPObject();
 if (!xHttp) {
   alert('Please update your web browser and enable JavaScript first!');
   return false;
 }
 
 xHttp.onloadend = function() {
  if (this.status == 200)
    fCallback(xHttp);
 }
 xHttp.open("GET", sUrl, true); // true for asynchronous
 xHttp.setRequestHeader("If-Modified-Since","0");
 xHttp.send(null);
}

function GetSelTxt(selectBox)
{
 return selectBox.options[ selectBox.selectedIndex ].text;
}
function GetSelVal(selectBox)
{
 return selectBox.options[ selectBox.selectedIndex ].value;
}
function FindAndSelect(selectBox, value)
{
  var i = 0;
  for(i = 0; i < selectBox.length; i++)
  {
    if(selectBox.options[i].value == value)
    {
      selectBox.selectedIndex = i;
      return;
    }
  }
}
function FindNearestAndSelect(selectBox, value)
{
  var i = 0, IsEqual = 0;
  var min;
  var max;

  for(i = 0; i < selectBox.length; i++)
  {
    if(selectBox.options[i].value == value)
    {
      selectBox.selectedIndex = i;
      IsEqual = 1;
      return;
    }
  }

  if(IsEqual == 0)
  {
     for(i = 0; i < selectBox.length; i++)
     {
        min = (value * 90) / 100;
        max = (value * 110) / 100;

        if((selectBox.options[i].value > min) && (selectBox.options[i].value < max))
        {
           selectBox.selectedIndex = i;
           return;
        }
     }
  }
}
function IpToInt(ip) {
 var parts = ip.split(".");
 var res = parseInt(parts[0], 10) << 24;
 res |= parseInt(parts[1], 10) << 16;
 res |= parseInt(parts[2], 10) << 8;
 res |= parseInt(parts[3], 10);
 return res;
}
function IntToIp(i) {
 var p1 = i & 255;
 var p2 = ((i >> 8) & 255);
 var p3 = ((i >> 16) & 255);
 var p4 = ((i >> 24) & 255);
 return p4 + "." + p3 + "." + p2 + "." + p1;
}
// function ValidateIp(inputText) {  
 // var ipf = /^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$/;  
 // if(inputText.value.match(ipf)) 
  // return true;
 // else
  // return false;
// }  
